minetest.register_node('mail:mailbox', {
   description = 'Mail Box',
   drawtype = 'mesh',
   mesh = 'mail_mailbox.obj',
   tiles = {'mail_mailbox_uv.png'},
   paramtype = 'light',
   paramtype2 = 'facedir',
   sunlight_propagates = true,
   groups = {breakable=1, not_in_creative_inventory=1},
   on_rightclick = function(pos, node, clicker)
      local name = clicker:get_player_name()
      mail.show_inbox(name)
   end
   })
